Subject: approximated popcon? (was Re: GCD005: Regular and efficient releases)

From: Simon Tournier <[email-masked]>
Date: Thu, 12 Jun 2025 22:59:57 +0200

Hi,

> As we don't have popcon I don't know what's popular with users

Once I heard a Debian Developer says: the aim of popcon isn’t to take
less care of unpopular packages but the contrary.  It allows to know
that this package in appearance useless and/or outdated is still used by
one user so it’s a motivation to still maintain its availability.

Although hard when the resource is constrained, I like the
reasoning. :-)

Aside, maybe we could have a rough idea of some popular packages by
looking at the queries in the substitutes cache.

Guix sysadmin, is it doable?

Cheers,
simon